15.04.2016 12:21    

sercan05
Selamlar

Ben tex de yazılı olan kotu Z: değerinde de yazmak istiyorum ama lisple,

Örneğin 20.50 yazıyor bunu kot değeri Z:0.00, Properties den elle yazabilirim ancak bunun gibi 1000 tane tex yazısı var farklı değerlerde hepsinin kotları 0, ben hepsini seçerek yazdığı değere kotu çıkarmasını istiyorum.

Yardımcı olursanız sevinirim iyi günler

admin (11.05.2018 08:16 GMT)

15.04.2016 17:06    

alumina
Komut adi: tz
Gule gule kullanin.

https://cizimokulu.com/datas/users/333661-tz.rar

admin (10.05.2018 20:39 GMT)

28.04.2016 13:22    

mhmtcn56
MERHABA ARKADAŞLAR.

SİZDE DOKUNDUĞUM YAZIYI DEĞİŞTİREN LİSP VAR MI?

28.04.2016 13:54    

Travaci
mhmtcn56


Kod:

(defun c:Deg (/ ss) (vl-load-com)
  (if (setq ss (ssget "+.:S" (list (cons 0 "*text"))))
    (vla-put-TextString (vlax-ename->vla-object (ssname ss 0))
      (vl-list->string '(68 101 103 105 115 116 105)))) (princ))

03.05.2016 10:28    

mhmtcn56
ÇOK SAĞOLUN

03.05.2016 10:29    

mhmtcn56
MERHABA ARKADAŞLAR.

SİZDE LİNE ÜSTÜNE YAZI, ALTINA METRAJ YAZAN LİSP VAR MI?

03.05.2016 18:47    

adnanozturk1
elektrik lispleri lazım yeni kullanmaya başladım autocad i

10.05.2018 10:00    

cessabata
merhaba netcad deki gibi cikti almak icin objeyi dondurmeden kgit boyutunu dondurerek ve ayar yaparak cikti alacak lisp lazim

10.05.2018 14:18    

map0623


Linkleri görebilmek için ÜYE olmalısınız.



Link'e ulaşamıyorum tekrar yükleme imkanınız varmı acaba rica etsem.


İyi Çalışmalar...

admin (10.05.2018 20:39 GMT)

10.05.2018 14:23    

map0623
merhaba netcad deki gibi cikti almak icin objeyi dondurmeden kgit boyutunu dondurerek ve ayar yaparak cikti alacak lisp lazım


Merhaba. Model sayfası yanında bulunan "Layout" sayfasını kullanmayı dene

Çift Tıkla sayfa içinde iken;
Tools>>>New UCS>>>3 Point................. Y / X
Command:PLAN >>>>Enter >>>>Enter



İyi Çalışmalar...

11.05.2018 05:00    

Travaci
Ucs ve plan komutlarıyla halledebilirsiniz.

11.05.2018 08:33    

map0623
https://cizimokulu.com/datas/users/333661-tz.rar

Link'e ulaşamıyorum tekrar yükleme imkanınız varmı acaba rica etsem.


İyi Çalışmalar...

23.09.2021 05:13    

baha07
merhabalar

benzer bir soru sormak istiyorum . yurt disi sitelerden bir lisp buldum . bu lisp secilen yazinin icerigini alip z degeri olarak kullanip istenilen yere point olusturuyor . bu islemi her text icin tek tek yapilmasi gerekiyor .

bu lispi projedeki tum textleri toplu secerek ve text nin uygulama noktasina pointi otomatik atabilmesi saglanabilir mi

tesekkurler
---------
(defun C:elev_to_point_4 ()
(setq h 0.7)
(while
(setq ent1 (car (entsel "\nSelev Niv 1")))
(setq p1 (getpoint "Donde:"))
(setq ent1 (entget ent1))
(setq ent1 (cdr (assoc 1 ent1)))
(setq ent1 (distof ent1 2))
(setq x (car p1))
(setq y (cadr p1))
(command "_point" (list x y ent1) h)
)
)

23.09.2021 06:56    

mavi462
Harita menü 2020 de textlerdeki değeri toplu seçip değerleri textlerden alıp nokta üretebilir. Bu noktaları kotlarını toplu kaldırıp indirebilirsin..

04.10.2021 15:39    

baha07
selam arkadaslar

yazi icindeki degeri noktanin z degerine ve yazinin uygulama noktasina yakalayarak atmasini sagladim

fakat her text icin tek tek yapilmasi gerekiyor

(defun C:elev_to_point_4 ()
(setq h 0.7)
(while
(setq ent1 (car (entsel "\nSelev Niv 1")))
(setq pt (cdr (assoc 10 (entget (car (entsel))))))
(setq ent1 (entget ent1))
(setq ent1 (cdr (assoc 1 ent1)))
(setq ent1 (distof ent1 2))
(setq x (car pt))
(setq y (cadr pt))
(command "_point" (list x y ent1) h)
)
)

10.01.2023 13:37    

baha07
Alıntı
baha07 :
merhabalar
benzer bir soru sormak istiyorum . yurt disi sitelerden bir lisp buldum . bu lisp secilen yazinin icerigini alip z degeri olarak kullanip istenilen yere point olusturuyor . bu islemi her text icin tek tek yapilmasi gerekiyor .
bu lispi projedeki tum textleri toplu secerek ve text nin uygulama noktasina pointi otomatik atabilmesi saglanabilir mi
tesekkurler
---------
(defun C:elev_to_point_4 ()
(setq h 0.7)
(while
(setq ent1 (car (entsel "\nSelev Niv 1")))
(setq p1 (getpoint "Donde:"))
(setq ent1 (entget ent1))
(setq ent1 (cdr (assoc 1 ent1)))
(setq ent1 (distof ent1 2))
(setq x (car p1))
(setq y (cadr p1))
(command "_point" (list x y ent1) h)
)
)



text icerisindeki degeri okuyup , *text uygulama noktasina point ekleyip , *text icerigini point Z olarak uyguluyor


(defun c:txt2pt (/ Point i ss ent pt)
(defun Point (pt) (entmakex (list (cons 0 "POINT") (cons 10 pt))))
(if (setq i -1 ss (ssget '((0 . "TEXT,MTEXT"))))
(while (setq ent (ssname ss (setq i (1+ i))))
(setq pt (cdr (assoc 10 (entget ent))))
(Point (list (car pt) (cadr pt)
(cond ((distof (cdr (assoc 1 (entget ent))))) (0.0))))))
(princ))

> 1 <
Copyright © 2004-2022 SQL: 1.889 saniye - Sorgu: 93 - Ortalama: 0.02031 saniye